Thursday May 26, 2011

jVi for NetBeans 7.0

jVi (vi editor clone) plugin for NetBeans 7.0 has been updated and the version is now 1.4.1!

NetBeans Plugin Portal page:
Project page:
Download for NetBeans 7.0:
After unzip zip file, you can specify nbm files on Downloaded tab at Plugins dialog (Tools > Plugins).

NetBeans

Option panel is also provided. Enjoy!

NetBeans

Thursday Feb 18, 2010

NetBeans vi plugin for NetBeans 6.8 and 6.9

jVi module for NetBeans has been updated to version 1.2.8. This is for current NetBeans 6.8.
The deveopment version 1.3 is also available for NetBeans 6.9 dev build. You can find it under 1.3-NB6.9-DEVELOPMENT folder.

Thursday Dec 17, 2009

NetBeans 6.8 用 jVi プラグイン

vi のプラグイン jVi は NetBeans 6.8 でもサポートされています。NetBens 6.8 のリリース後数日はダウンロードのボタンに NB 6.7 - 6.5 としか書いてなかったので動かないのではないかと思った方がいるのではないでしょうか。確認したところ 1.2.6 というバージョンはそのままで 6.8 でも動くそうです。ボタンにも 6.8 という文字を入れてもらいました。
jvi for NetBeans 6.8

Friday Jul 24, 2009

NetBeans 6.5/6.7 用 jVi 1.2.6 がリリースされています

NetBeans のニュースレターで知ったのですが、NetBeans 6.5/6.7 用 vi プラグインのバージョン 1.2.6 が出ていますね。
このアナウンスがあった時点ではダウンロードのリンクに問題があったようですが、今は解決しています。

Monday Mar 02, 2009

vi plugin updated for NetBeans 6.7

jVi plugin has been updated for NetBeans 6.7 M2/dev build. 1.2.4 is available for NetBeans 6.5 and 6.7.

vi プラグインが NetBeans 6.7 に対応

おっと、これはうれしいですね。NetBeans の jVi プラグインが NetBeans 6.7 に対応してくれました。以前の 6.5 用は 6.7 ではインストールできなかったんですよね。NetBeans 6.5/6.7 用に 1.2.4 というバージョンが出ています。

Wednesday Jan 07, 2009

NetBeans jVi plugin 1.2.1.alpha1

NetBeans 6.5 用に NetBeans jVi プラグインも 1.2.1.alpha1 というリリースが出ています。

Friday Sep 05, 2008

vi plugin updated for NetBeans 6.5

I found that jVi plugin has been updated for NetBeans 6.5. Try this plugin if you're using NetBeans 6.5 dev build. It's still development release, version 1.2.0.x9 but it's pretty good.
The plugin for NetBeans 6.5 version is 1.2-NB6.5.

jVi プラグインが NetBeans 6.5 に対応

jVi プラグインが NetBeans 6.5 に対応していました。NetBeans 6.5 の開発ビルドを使っている方はインストールして使ってみてください。 バージョンは 1.2.0.x9 でまだ開発版ですがなかなか快適です。
NetBeans 6.5 用のモジュールは 1.2-NB6.5 です。

ひとつ注意ですが NetBeans 6.5 Beta 以降のあるビルドから 200808311401 までのビルドを使っている場合、プラグインマネージャーにバグがあり、プラグインをインストールできないとことがあります (バグ 145902)。正しいはずなのに依存性のチェックでひっかかってインストールできません。NetBeans 側のバグなのですが現在の最新ビルドでは修正されています。

Monday Mar 03, 2008

NetBeans jVi プラグインのカスタマイズ

最近 NetBeans では jVi プラグインを使っています。NetBeans 6.0 や 6.1 用にもビルドが出てきてずいぶん使えるようになった感じがあります。それにカスタマイズをしてみるとずいぶん便利に使えるものですね。例えば私の場合 Ctrl+S で普段保存をしている癖がついてしまっているのですがこれはデフォルトの状態では jVi 側で設定しているキーマップらしくて使えませんでした。「不便だなぁ」と思っていたのですが、なるほどちゃんと設定画面がありました。「詳細オプション」で細かく設定できるようです。



ここで Ctrl+S を外しておけばいいのですね。

Tuesday Feb 19, 2008

jVi-1.1 beta3 available for NetBeans 6.0 & 6.1

NetBeans 6.0/6.1 用の vi プラグインが新しくなったそうです。
私は vi 派なので (\^\^;) このプラグイン、本当に助かります。

プラグインファイル (.nbm) は2つで構成されています。.nbm ファイルをインストールするには「ツール」>「プラグイン」の「ダウンロード済み」タブを使います。「プラグインの追加」ボタンで2つの .nbm ファイルを選択します。



そのあとで「インストール」ボタンでインストールできます。



jVi モジュールの詳細な設定は「ツール」>「オプション」ではまだ見えず「詳細オプション」にあります。「詳細オプション」ボタンを押して画面を切り替えてください。

Monday Dec 24, 2007

jVi module for NetBeans 6.0

I noticed that jVi module is available for NetBeans 6.0 release. You can use vi keybinding on NetBeans editor.
It consists of two nbm files. Once you download and unzip it, you can install them from Tools > Plugins, Downloaded tab. Click Add Plugins... button to bring up file dialog.



Select two nbms, multiple files can be selected here. Then click OK button.



Click Install button to install these plugins.



To disable/enable Vi keybinding, select jVi item on Tools menu.

About

NetBeans Globalization

Search

Archives
« April 2014
SunMonTueWedThuFriSat
  
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
   
       
Today